Support » Theme: Vantage » Theme Errors

  • Resolved jahrat

    (@jahrat)


    Hello Support,
    I am using Vantage theme on my site supported by a child theme. I have errors on my site working through and found several PHP Warnings for Vantage in my debug logs. I have copied these below. I need assistance to fix these errors as I continue to troubleshoot my site.
    PHP Warning: Array to string conversion in /…/themes/vantage/inc/settings/inc/page_settings.php on line 62
    PHP Warning: Array to string conversion in /…/themes/vantage/inc/settings/inc/page_settings.php on line 63
    PHP Warning: Array to string conversion in /…/themes/vantage/inc/settings/inc/page_settings.php on line 158
    PHP Warning: Array to string conversion in /…/themes/vantage/inc/settings/inc/page_settings.php on line 68
    PHP Warning: Array to string conversion in /…/themes/vantage/inc/settings/inc/page_settings.php on line 62
    PHP Warning: Array to string conversion in /…/themes/vantage/inc/settings/inc/page_settings.php on line 71
    PHP Warning: Array to string conversion in /…/themes/vantage/inc/settings/inc/page_settings.php on line 71
    PHP Warning: Array to string conversion in /…/themes/vantage/inc/settings/inc/page_settings.php on line 62
    PHP Warning: Array to string conversion in /…/themes/vantage/inc/settings/inc/page_settings.php on line 71
    PHP Warning: Array to string conversion in /…/themes/vantage/inc/settings/inc/page_settings.php on line 71

    The page I need help with: [log in to see the link]

Viewing 5 replies - 1 through 5 (of 5 total)
  • Hi Jahrat

    Thanks for reaching out.

    Vantage Premium was discontinued in 2016. If you’d like to switch to the version of Vantage hosted on WordPress.org you can download the ZIP file from https://wordpress.org/themes/vantage/. Once on your desktop, go to Appearance > Themes > Add New: Upload Theme. Overwrite the existing version when prompted. Footer Attribution and Ajax Comments are the only two premium settings not included.

    Thread Starter jahrat

    (@jahrat)

    Hello @misplon,
    I am using the Vantage theme version 1.20.3 found in the WordPress repository. is this version obsolete? I currently use a child theme to generate our footer for our website. When I check your link it appears to be the same file. The errors above were generated today.

    • This reply was modified 2 months, 1 week ago by jahrat.
    Theme Author SiteOrigin

    (@siteorigin)

    Hi jahrat

    Thanks for the info; much appreciated. The version you’re using was last updated on the 2nd of this month; it’s not obsolete.

    Thanks for letting us know about the warnings. We’ll address them in the next update. If the warnings are printing to your site front-end, please, set debug display to false in your WordPress wp-config.php file as follows:

    // Disable display of errors and warnings
    define( 'WP_DEBUG_DISPLAY', false );
    @ini_set( 'display_errors', 0 );
    Thread Starter jahrat

    (@jahrat)

    Thanks @siteorigin,
    The warnings are only found in my debug log. They do not show on the front end. I only came across them as I was looking for something else.
    I will close this for now and if they show after the next update I will reopen the ticket.

    Glad to hear there aren’t front-end warnings presenting. I’ve logged the issue as follows: https://github.com/siteorigin/settings/issues/83. We’ll keep you updated.

    Thanks!

Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.